#! /bin/sh
#
# $Id: linkfor1PE.sh.in,v 1.1.2.1 2000/07/02 15:55:06 yamauchi Exp $
# 	Copyright (C) 1997-2000 YAMAUCHI Hitoshi »³Æâ ÀÆ
#
SRCDIR=../mpi2dataReader
TESTPROG=@TESTPROG@

LINKFILES="ElapsedTimer.h \
FileInfo.cc		\
FileInfo.h		\
IntVec3.h		\
Option.h		\
ProfileMon.h		\
SLList.h		\
Vector3.h		\
VertexIntensity.h	\
YorN.h			\
constants.h		\
ddaInfo.h		\
fileUtil.cc		\
getopt.cc		\
getvals.cc		\
getvals.h		\
lineParser.cc		\
lineParser.h		\
material.cc		\
material.h		\
mpi2.h			\
mpi2ReaderClass.cc	\
mpi2ReaderClass.h	\
mpi2_funcs.h		\
mpi2dataToken.h		\
mpi2exit.h		\
myString.cc		\
myString.h		\
object.h		\
ray.cc			\
ray.h			\
readSpcParam.cc		\
SpaceParam.h		\
sphereObject.cc		\
sphereObject.h		\
strnew.h		\
triangleObject.cc	\
triangleObject.h	\
vector.cc		\
vector.h		\
voltravinfo.h"

for i in ${LINKFILES}
do
    if ${TESTPROG} ! -L ${i} ; then
	ln -s ${SRCDIR}/${i} .
    fi
done
echo "link ... done"
exit 0

